package xyz.ibatv.iba_backblocks.items;

import cpw.mods.fml.common.registry.GameRegistry;
import net.minecraft.item.Item;
import xyz.ibatv.iba_backblocks.IBA_BackBlocks;

public class Minecraft1_8_Items {

	public static Item itemCopperIngot;
	public static Item itemRawCopper;


	//public static Item itemPrismarineCrystals;
	//public static Item itemPrismarineShard;


	public static Item itemRabbitHide;
	public static Item itemRabbitFoot;

	public static void items() {
		itemCopperIngot = new ItemCopperIngot().setUnlocalizedName("copper_ingot").setTextureName("iba_backblocks:copper_ingot");
		itemRawCopper = new ItemRawCopper().setUnlocalizedName("raw_copper").setTextureName("iba_backblocks:raw_copper");
		GameRegistry.registerItem(itemCopperIngot, itemCopperIngot.getUnlocalizedName().substring(5));
		GameRegistry.registerItem(itemRawCopper, itemRawCopper.getUnlocalizedName().substring(5));



		//itemPrismarineCrystals = new ItemPrismarineCrystals().setUnlocalizedName("prismarine_crystals").setTextureName("iba_backblocks:prismarine_crystals");
		//IBA_BackBlocks.registerItemHelper(itemPrismarineCrystals, "prismarine_crystals");

		//itemPrismarineShard = new ItemPrismarineShard().setUnlocalizedName("prismarine_shard").setTextureName("iba_backblocks:prismarine_shard");
		//IBA_BackBlocks.registerItemHelper(itemPrismarineShard, "prismarine_shard");



		itemRabbitHide = new ItemRabbitHide().setUnlocalizedName("rabbit_hide").setTextureName("iba_backblocks:rabbit_hide");
		IBA_BackBlocks.registerItemHelper(itemRabbitHide, "rabbit_hide");

		itemRabbitFoot = new ItemRabbitFoot().setUnlocalizedName("rabbit_foot").setTextureName("iba_backblocks:rabbit_foot");
		IBA_BackBlocks.registerItemHelper(itemRabbitFoot, "rabbit_foot");
	}
}
